Cyberduck Mountain Duck CLI

#11697 closed enhancement (fixed)

Support for canned ACL bucket-owner-full-control

Reported by: dkocher Owned by: dkocher
Priority: normal Milestone: 7.10.0
Component: s3 Version: 7.9.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Add support for uploading objects with the bucket-owner-full-control canned ACL.

S3 Object Ownership is an Amazon S3 bucket setting that you can use to control ownership of new objects that are uploaded to your buckets. By default, when other AWS accounts upload objects to your bucket, the objects remain owned by the uploading account. With S3 Object Ownership, any new objects that are written by other accounts with the bucket-owner-full-control canned access control list (ACL) automatically become owned by the bucket owner, who then has full control of the objects.

https://docs.aws.amazon.com/AmazonS3/latest/userguide/about-object-ownership.html

Change History (4)

comment:1 Changed on Jun 8, 2021 at 8:58:11 PM by dkocher

  • Milestone set to 7.9.4
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Jun 24, 2021 at 6:56:29 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r51465.

comment:3 Changed on Jun 24, 2021 at 6:58:10 AM by dkocher

  • Milestone changed from 7.9.4 to 7.10

Milestone renamed

comment:4 Changed on Jul 8, 2021 at 9:11:53 AM by yla

  • Milestone changed from 7.10 to 7.10.0

Milestone renamed

Note: See TracTickets for help on using tickets.